Bug 125664 - java-1.4.1-ibm-1.4.1.2-1jpp_2rh says it obsoletes both IBMJava2-JRE and IBMJava2-SDK but only obsoletes the JRE package
java-1.4.1-ibm-1.4.1.2-1jpp_2rh says it obsoletes both IBMJava2-JRE and IBMJa...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: IBMJava2-JRE (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 16:05 EDT by Paul Rhodes
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 11:35:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Rhodes 2004-06-09 16:05:50 EDT
Description of problem:

java-1.4.1-ibm-1.4.1.2-1jpp_2rh says it obsoletes 
IBMJava2-JRE-1.4.1-8.i386.rpm, IBMJava2-JRE-1.4.1-11.i386.rpm,
IBMJava2-SDK-1.4.1-9.i386.rpm, and IBMJava2-SDK-1.4.1-11.i386.rpm, but
only obsoletes the JRE packages.  It does not install the javac binary
that the SDK packages install (that was just the first thing that
broke, so who knows what else it doesn't install.) 
java-1.4.1-ibm-devel-1.4.1.2-1jpp_2rh appears to be the actual package
that obsoletes the SDK packages.
  
Version-Release number of selected component (if applicable):


How reproducible:
 100%

Steps to Reproduce:
1.run up2date and let it uninstall the IBMJava2 packages, and install
the java-1.4.1-ibm-1.4.1.2-1jpp_2rh.
2.
3.
  
Actual results:  Does not reinstall everything it uninstalls


Expected results:  Replace the obsoleted binaries


Additional info:
Comment 2 Suzanne Hillman 2004-06-14 10:33:08 EDT
The problem you are running into is that you need to install the
java-devel package as well as the java package, which apparently an
up2date does not take care of.
Comment 3 Paul Rhodes 2004-06-15 17:32:09 EDT
Exactly..... Hence my deduction that the java package does not
obsolete the SDK, but that the java-devel package does.  Am I
misunderstanding the meaning of "obsolete" in the context of packages?
Comment 4 Thomas Fitzsimmons 2004-09-20 11:18:40 EDT
You're right.  The SDK packages should be obsoleted by the java-devel
package only and not by the base package.  This will be fixed in the
next release.
Comment 5 Thomas Fitzsimmons 2004-09-22 11:35:07 EDT
Fixed in package CVS.
Comment 6 John Flanagan 2004-12-21 17:46:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-608.html

Note You need to log in before you can comment on or make changes to this bug.